Bug 137579 - No sound/artsd goes wild in fresh FC3rc3
No sound/artsd goes wild in fresh FC3rc3
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks: FCMETA_ALSA
  Show dependency treegraph
 
Reported: 2004-10-29 12:25 EDT by Kim Lux
Modified: 2015-01-04 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-07 02:57:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kim Lux 2004-10-29 12:25:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041020
Firefox/0.10.1

Description of problem:
Sound doesn't work on my laptop with FC3T3 or FC3rc3. It did with FC2. 
 
 Here is the vital info:
 
 On login I get this message:
 
 Sound server informational message:
 Error while initializing the sound driver:
 device: default can't be opened for playback (Device or resource busy)
 The sound server will continue, using the null output device.
 
 
 Sometimes after login I get this message:
 
 Sound server fatal error:
 cpu overload, aborting
 
 
 In hwbrowser I find:
 
 Sound cards: Intel Corp. 82801EB/ER (ICH5/ICH5R) AC'97 Audio Controller
 Manufacturer: Unknown
 Driver: snd-intel8x0
 
 
 If I run system-config-sound:
 
 The following audio device was detected:
 <blurb here, same as hwbrowser>
 When I press "Play Test Sound" the application hangs. 
 
 If I run tops, I find that artsd hogs the cpu cycles like crazy. 
 
 In dmesg everything looks normal as far as errors go. There doesn't
appear to be a driver loaded for sound. Here is the only stuff I see
that might be related to sound: 
 
 ICH5: chipset revision 2
 ICH5: not 100% native mode: will probe irqs later
 
 codec_read 0: semaphore is not ready for register 0x2c
 codec_read 0: semaphore is not ready for register 0x2c
 codec_read 0: semaphore is not ready for register 0x2c
 codec_write 0: semaphore is not ready for register 0x2
 codec_write 0: semaphore is not ready for register 0x2
 codec_write 0: semaphore is not ready for register 0x18
 codec_write 0: semaphore is not ready for register 0x18
 
 All other logs are clean. 
 
 In /etc, I have a asound.state and an alsa dir.
 
 asound.state looks normal and only contains stuff about mixer. 
 
 asound.conf is not present.
 in /etc/alsa, I have alsa.conf. There is nothing special in it.
  
 /sbin/lsmod
 Module Size Used by
 parport_pc 24705 1
 lp 11565 0
 parport 41736 2 parport_pc,lp
 autofs4 24005 0
 i2c_dev 10433 0
 i2c_core 22081 1 i2c_dev
 ds 16965 2
 sunrpc 160421 1
 ipt_REJECT 6465 1
 ipt_state 1857 1
 ip_conntrack 40693 1 ipt_state
 iptable_filter 2753 1
 ip_tables 16193 3 ipt_REJECT,ipt_state,iptable_filter
 microcode 6497 0
 dm_mod 54741 0
 button 6481 0
 battery 8517 0
 ac 4805 0
 md5 4033 1
 ipv6 232577 10
 joydev 8705 0
 ohci1394 35033 0
 ieee1394 302869 1 ohci1394
 yenta_socket 18753 0
 pcmcia_core 59913 2 ds,yenta_socket
 uhci_hcd 31449 0
 ehci_hcd 31557 0
 hw_random 5589 0
 snd_intel8x0m 18185 0
 snd_intel8x0 34829 3
 snd_ac97_codec 64401 2 snd_intel8x0m,snd_intel8x0
 snd_pcm_oss 47609 0
 snd_mixer_oss 17217 1 snd_pcm_oss
 snd_pcm 97993 5 snd_intel8x0m,snd_intel8x0,snd_pcm_oss
 snd_timer 29765 1 snd_pcm
 snd_page_alloc 9673 3 snd_intel8x0m,snd_intel8x0,snd_pcm
 gameport 4801 1 snd_intel8x0
 snd_mpu401_uart 8769 1 snd_intel8x0
 snd_rawmidi 26725 1 snd_mpu401_uart
 snd_seq_device 8137 1 snd_rawmidi
 snd 54053 15 snd_intel8x0m,snd_intel8x0,snd_ac97_codec,snd_pcm_
oss,snd_mixer_oss,snd_pcm,snd_timer,snd_mpu401_uar
t,snd_rawmidi,snd_seq_device
 soundcore 9889 1 snd
 ndiswrapper 114744 0
 8139too 26305 0
 mii 4673 1 8139too
 ext3 116809 2
 jbd 74969 1 ext3
 
 
 I figured out how to turn off aRts: Start->Control Center -> Sound and
Multi.->Sound System-> General. Turn off the "Enable the Sound System"
option.
 
 I also tried changing the audio device on the Hardware tab to alsa,
with no effect. 


I'm running kernel 2.6.9-1.643 and alsa 1.0.6-3.

Version-Release number of selected component (if applicable):
alsa-lib-1.0.6-3

How reproducible:
Always

Steps to Reproduce:
1. log into KDE
2. run an application that generates a sound.  kwrite on close without
save, etc. 
3.

Run system-config-soundcard.  It hangs. 
    

Actual Results:  artsd goes nuts. 

Expected Results:  system-config-soundcard shouldn't hang.

Additional info:
Comment 1 Bill Nottingham 2004-10-29 12:47:43 EDT
Those codec errors appear to be from the kernel driver - assigning there.
Comment 2 Kim Lux 2004-11-05 13:12:52 EST
This is still a problem as of the latest updates on Nov.5/2004 and 
kernel 2.6.9-1.667. 
 
The FC3 release is scheduled for Monday ?  Are we not going to fix 
this for the release ? 
Comment 3 Kim Lux 2004-11-09 17:12:30 EST
Here is a work around to make sound work on my laptop: 
 
I added snd-intel8x0m to /etc/hotplug/blacklist and rebooted. 
 
I went to the KDE->ControlCenter->Sound & Multimedia-> Sound System- 
>Enable. 
 
Then I went to KDE->System Settings->Soundcard Detection.  It 
detected my soundcard and it has worked ever since.  
 
artsd now consumes a reasonable amount of processor time: <1% 
usually. 
Comment 4 Kim Lux 2004-11-11 17:39:08 EST
I should add that I upgraded to FC3 final before the work around.  I
did this via ISO CDROMs and anaconda, ie the conventional upgrade
process. 
Comment 5 Peter Farmer 2005-01-27 09:16:34 EST
I have an acer aspire 1864 (snd-intel8x0m driver) running FC3 (kernel 
2.6.10-1.741) that exhibits the same behaviour 
 
lspci outputs : 
Multimedia audio controller: Intel Corp. 82801DB/DBL/DBM 
(ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller (rev 03)  
 
Under KDE, Artsd goes wild, using 100% of available cpu (this happens 
at login if I have the sound system enabled) . No sound. Sound doesnt 
work under gnome either. Even simple methods like catting an au sound 
file /proc/audio hang. Same for all audio players. If artsd inst 
running audio players dont hang, but they dont play any sound either.  
dmesg shows multiple  
 
   codec_read 0: semaphore is not ready for register 0x2c 
 
entries. system-config-soundcard test doesnt generate any sound and 
gives errors in stdout :  
 
   pcm_write:1115: write error: Input/output error 
 
Always reproducible.  
Comment 6 joe 2005-05-26 11:32:30 EDT
I have had consistent sound problems with FC1 FC2 and FC3 - sometimes it works
and   sometimes it does not.

MY SOLUTION: I discovered a quick fix on the internet the other day - mute both
microphone entries SystemSettings->SoundDetection.

There are a lot of people suggesting a lot of things to help people with sound
problems - if a simple mute of the microphone could help half of them - maybe
that could be the default for sound i.e. microphones=muted during install?

But if I was just one of a lucky few - I will be back - because I have had a lot
of problems with sound.
Comment 7 joe 2005-05-26 11:43:29 EDT
(In reply to comment #6)
> I have had consistent sound problems with FC1 FC2 and FC3 - sometimes it works
> and   sometimes it does not.
> 
> MY SOLUTION: I discovered a quick fix on the internet the other day - mute both
> microphone entries SoundVideo->VolumeControl.
> 
> There are a lot of people suggesting a lot of things to help people with sound
> problems - if a simple mute of the microphone could help half of them - maybe
> that could be the default for sound i.e. microphones=muted during install?
> 
> But if I was just one of a lucky few - I will be back - because I have had a lot
> of problems with sound.

Comment 8 Dave Jones 2005-07-15 15:07:50 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 9 Dave Jones 2005-12-07 02:57:08 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug with current FC3 updates, please
reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

If you are not the reporter, but can reproduce this problem against
FC4, please open a new bug.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.